VectorLinux
October 31, 2014, 01:01:29 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: google chrome: zlib and nss errors  (Read 2718 times)
Daniel
Packager
Vectorian
****
Posts: 704


WWW
« on: January 23, 2011, 06:30:52 pm »

Google Chrome now fails to start when I click on the icon. I started it from the terminal to see the error messages and I got these:

/usr/bin/google-chrome: /usr/lib/libz.so.1: no version information available (required by /usr/bin/google-chrome)
/usr/bin/google-chrome: /usr/lib/libz.so.1: no version information available (required by /usr/bin/google-chrome)
/usr/bin/google-chrome: /opt/google/chrome/libnss3.so.1d: version `NSS_3.12.3' not found (required by /usr/bin/google-chrome)
/usr/bin/google-chrome: /opt/google/chrome/libnss3.so.1d: version `NSS_3.12' not found (required by /usr/bin/google-chrome)

I have tried reinstalling mozilla-nss and zlib. I also updated Google Chrome. Nothing has worked so far. I think it started doing this after I installed wine (which did something with nss I think). Does anyone know how to fix this?
Logged

The following sentence is true. The previous sentence is false.

VL 6.0 SOHO KDE-Classic on 2.3 Ghz Dual-core AMD with 3 Gigs of RAM
brokndodge
Member
*
Posts: 83


Linux is sooo HOT


WWW
« Reply #1 on: February 11, 2011, 01:26:23 pm »

i figure wine installation may have upgraded or downgraded some packages. my scripts at brokndodge.blogspot.com contain links to the correct slackware packages to run chrome. unfortunately the version numbers are hard coded into chrome so you have to have the specific version installed. just look thru my old posts for the chrome install scripts. they are pretty well commented so look for the section labeled nss.
Logged

VL 7.0 Standard

brokndodge
- OSS is not a religion, it's the solution to buggy irresponsible coding -
Linux User# 494720
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!